/***************************************************************************
 * Copyright 2012 by
 *  + Christian-Albrechts-University of Kiel
 *    + Department of Computer Science
 *      + Software Engineering Group 
 *  and others.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ***************************************************************************/

package kieker.webgui.beans.request;

import java.util.ArrayList;
import java.util.List;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.RequestScoped;

import org.primefaces.model.DualListModel;

@ManagedBean
@RequestScoped
public class SelectedDependenciesBean {

	private DualListModel<String> dependencies;

	/**
	 * Creates a new instance of this class.
	 */
	public SelectedDependenciesBean() {
		final List<String> source = new ArrayList<String>();
		final List<String> target = new ArrayList<String>();

		source.add("Lib 1");
		source.add("Lib 2");

		this.dependencies = new DualListModel<String>(source, target);
	}

	/**
	 * Delivers the stored dependencies within this bean.
	 * 
	 * @return The dependencies dual model.
	 */
	public DualListModel<String> getDependencies() {
		return this.dependencies;
	}

	/**
	 * Sets the dependencies to be stored within this bean to a new value.
	 * 
	 * @param dependencies
	 *            The new dependencies dual model.
	 */
	public void setDependencies(final DualListModel<String> dependencies) {
		this.dependencies = dependencies;
	}

}
